Bug 193806 - [maintainer] Update sysutils/zogftw to 2014-09-20-28bc862
Summary: [maintainer] Update sysutils/zogftw to 2014-09-20-28bc862
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-21 10:38 UTC by Fabian Keil
Modified: 2014-10-18 16:20 UTC (History)
1 user (show)

See Also:


Attachments
Patch to update sysutils/zogftw to 2014-09-20-28bc862 (2.28 KB, patch)
2014-09-21 10:38 UTC, Fabian Keil
fk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2014-09-21 10:38:55 UTC
Created attachment 147521 [details]
Patch to update sysutils/zogftw to 2014-09-20-28bc862

Upstream changes:

- Added ATF tests. Every function that isn't a hook is being tested.
  As a result, various error conditions are now handled more consistently,
  error messages have been clarified and code could be refactored
  without modifying the tested behaviour.
- When sending a source dataset to a destination dataset that doesn't
  exist yet, the first snapshot is sent followed by the incremental
  snapshot(s) to the last one. Previously only the last one was being
  sent.
- Let zogftw_sync() abort syncing right away if zogftw_sync_zpool()
  fails.  Makes it more likely that the user notices the problem.
- Support positional arguments and datasets names with spaces more
  consistently.
- Support escaped spaces ("\ ") in config variables containing datasets.
- Don't allow to create GEOM labels with spaces as FreeBSD doesn't
  properly support them. Previously this resulted in a unclear error
  message as glabel reported success while zpool failed to access the label.
- Do not sync to pools whose names contain spaces.
  GEOM labels with spaces currently aren't supported on FreeBSD anyway,
  but a user with poor taste could create such pools manually.
- Unbreak zogftw cmd zogftw_main. It may not be a particular useful
  command, but it shouldn't fail with: "[: !=: unexpected operator" either.
- Rename zogftw_asciidoc() to zogftw_get_asciidoc() to be more consistent.
- Spell function name zogftw_create_encrypted_geli_passphrase_file()
  properly. Previously an 'n' was missing.
- Let zogftw_user_has_zfs_permission() check more carefully.
  Previously the permissions from user foobar were also considered
  when checking permissions for user foo.
- Add config variable ZOGFTW_GPG_DECRYPT_FLAGS.
- Add config variable ZOGFTW_BACKUP_DATASET_COMPRESSION and change
  the default from 'on' to 'lz4'.
- The zogftw_snapshot_successfully_created_hook() now gets the
  snapshot that has been created through the variable $snapshot
  which was previously incorrectly named $snapshot_name.
  You may have to adjust your hooks accordingly.

Redports build logs are available at:
https://redports.org/buildarchive/20140921081057-17891/
and (with defaults changed to enable tests):
https://redports.org/buildarchive/20140921081020-51604/
Comment 1 John Marino freebsd_committer 2014-10-10 09:39:45 UTC
Looks ok, moving to patch-ready pool
Comment 2 commit-hook freebsd_committer 2014-10-18 16:19:41 UTC
A commit references this bug:

Author: rodrigo
Date: Sat Oct 18 16:19:07 UTC 2014
New revision: 371140
URL: https://svnweb.freebsd.org/changeset/ports/371140

Log:
  Update sysutils/zogftw to 2014-09-20-28bc862

  PR:		ports/193806
  Submitted by:	fk@fabiankeil.de (maintainer)
  Approved by:	mentors (implicit)

Changes:
  head/sysutils/zogftw/Makefile
  head/sysutils/zogftw/distinfo
Comment 3 Rodrigo Osorio freebsd_committer 2014-10-18 16:20:01 UTC
Commited, thanks